#!/bin/sh

#Ensure new version used in Slacko -
# Comment out statement for Slacko-only version of package:
[ "$(pwd)" = "/" ] && rm -f /sbin/dhcpcd

#Install optional hook links.
for ONEHOOKPATH in usr/share/dhcpcd/hooks/*; do
	ONEHOOK=$(basename $ONEHOOKPATH)
	ln -snf /$ONEHOOKPATH lib/dhcpcd/dhcpcd-hooks/$ONEHOOK
	if [ "$(pwd)" = "/" ]; then #support uninstallation...
		SEDSCRIPT="s%^/lib/dhcpcd/dhcpcd-hooks/$%&\n/lib/dhcpcd/dhcpcd-hooks/$ONEHOOK%"
		sed -i "$SEDSCRIPT" root/.packages/dhcpcd-*.files 2>/dev/null 
	fi
done

#Ensure /etc/dhcpcd.conf included but not if already present.
if [ "$(pwd)" = "/" -a -f etc/dhcpcd.conf ];then
 rm -f etc/dhcpcd.conf.tmp
 sed -i '/^\/etc\/dhcpcd\.conf\.tmp/d' root/.packages/dhcpcd-*.files 2>/dev/null
else
 mv etc/dhcpcd.conf.tmp etc/dhcpcd.conf
 [ "$(ls root/.packages/dhcpcd-*.files 2>/dev/null)" ] \
  && sed -i '/^\/etc\/dhcpcd\.conf\.tmp/ s/\.tmp//' root/.packages/dhcpcd-*.files 2>/dev/null 
fi

#Add STOP hook to notify and network_tray hook filters -
# STOP sometimes issued instead of RELEASE in dhcpcd-6.x.
[ "$(pwd)" = "/" -a -f lib/dhcpcd/dhcpcd-hooks/99-network_tray ] \
 && ! grep -q '|STOP' lib/dhcpcd/dhcpcd-hooks/99-network_tray \
 && sed -i 's/NOCARRIER/&|STOP/' lib/dhcpcd/dhcpcd-hooks/99-network_tray
[ "$(pwd)" = "/" -a -f lib/dhcpcd/dhcpcd-hooks/99-notify ] \
 && ! grep -q '|STOP' lib/dhcpcd/dhcpcd-hooks/99-notify \
 && sed -i 's/NOCARRIER/&|STOP/' lib/dhcpcd/dhcpcd-hooks/99-notify
